Announcement

Collapse
No announcement yet.

Python bindings for SVN on Windows?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Python bindings for SVN on Windows?

    I tried using the Subversion bindings for Python 2.7 from here: http://alagazam.net/

    They don't seems to be working properly. I'm getting an error that it can't find a DLL. Does Wandisco compile these bindings?

  • #2
    Hi there,

    We don't build Python bindings for Windows (on other platforms we build the bindings for the default version of Python). You could try using the mailing list on the alagazam page to ask for help getting it working, or tell us more about the problem and see if anyone here can help.
    Mand Beckett
    WANdisco

    Read the WANdisco blog for Subversion, uberSVN and SmartSVN tips and tricks | Find me on Twitter

    Comment


    • #3
      He mentions that he doesn't test the bindings, but I sent an email anyway. I was able to use the python bindings bundled with a non-Wandisco release of Subversion and they work just fine. However, there's no guarantee those will continue to be provided. It would be useful to find ones that are stable and can be used with your binaries. The bindings are dependent on Python, Subversion and Apache, so it's not always easy to match every possible implementation.

      Comment


      • #4
        I've asked our product guys to look into this, as we do build them on other platforms. I'll keep you posted
        Mand Beckett
        WANdisco

        Read the WANdisco blog for Subversion, uberSVN and SmartSVN tips and tricks | Find me on Twitter

        Comment


        • #5
          You could try downloading the latest uberSVN from http://www.ubersvn.com. We should be shipping Subversion, the Python bindings and the Java bindings with that for all platforms that uberSVN supports (Windows, Mac OS and Linux.)

          Comment


          • #6
            Mand: Thanks!

            mbooth: What version of Python are you using for UberSVN? I might be able to use those bindings with the vanilla version of Wandsico Subversion.

            Comment


            • #7
              Originally posted by GPinzone View Post
              Mand: Thanks!

              mbooth: What version of Python are you using for UberSVN? I might be able to use those bindings with the vanilla version of Wandsico Subversion.
              Python 2.7.2

              Comment

              Working...
              X